id: "4-0-1-CFN"
treename: "four taxa binary"
modelname: "Cavender Felsenstein Neyman"
rooted: "False"
leaves: "4"
internal_edges: "1"
dim: "6"
deg: "4"
np: "8"
nq: "8"
mu: "2"
e: "2"
M: "2"
E: "2"
sD: "3"
sd: "4"
MLdeg: "14"
EDdeg: "10"
details:
  transition_matrix: |-
    $$M_j = \begin{pmatrix}
    a_i &  b_i\\
    b_i &  a_i
    \end{pmatrix}$$
  root_distributon: |-
    $\pi = \left(\frac{1}{2}, \frac{1}{2} \right)$
  fourier_parameters: |-
    $\left(x^{(i)}_i, x^{(i)}_2\right)$
  probability_parametrization: |-
    $\begin{align}
    p_{\texttt{0101}} &= \frac{1}{2}(a_1a_3a_5b_2b_4 + a_1a_4b_2b_3b_5 + a_2a_3b_1b_4b_5 + a_2a_4a_5b_1b_3) \\[0.5em]
    p_{\texttt{0001}} &= \frac{1}{2}(a_1a_2a_3a_5b_4 + a_1a_2a_4b_3b_5 + a_3b_1b_2b_4b_5 + a_4a_5b_1b_2b_3) \\[0.5em]
    p_{\texttt{0100}} &= \frac{1}{2}(a_1a_3a_4a_5b_2 + a_1b_2b_3b_4b_5 + a_2a_3a_4b_1b_5 + a_2a_5b_1b_3b_4) \\[0.5em]
    p_{\texttt{0000}} &= \frac{1}{2}(a_1a_2a_3a_4a_5 + a_1a_2b_3b_4b_5 + a_3a_4b_1b_2b_5 + a_5b_1b_2b_3b_4) \\[0.5em]
    p_{\texttt{0111}} &= \frac{1}{2}(a_1a_3a_4b_2b_5 + a_1a_5b_2b_3b_4 + a_2a_3a_4a_5b_1 + a_2b_1b_3b_4b_5) \\[0.5em]
    p_{\texttt{0011}} &= \frac{1}{2}(a_1a_2a_3a_4b_5 + a_1a_2a_5b_3b_4 + a_3a_4a_5b_1b_2 + b_1b_2b_3b_4b_5) \\[0.5em]
    p_{\texttt{0110}} &= \frac{1}{2}(a_1a_3b_2b_4b_5 + a_1a_4a_5b_2b_3 + a_2a_3a_5b_1b_4 + a_2a_4b_1b_3b_5) \\[0.5em]
    p_{\texttt{0010}} &= \frac{1}{2}(a_1a_2a_3b_4b_5 + a_1a_2a_4a_5b_3 + a_3a_5b_1b_2b_4 + a_4b_1b_2b_3b_5)
    \end{align}$
  equivalent_classes_prob: |-
    $\begin{align}
    \text{Class } &p_{\texttt{0000}}:\ p_{\texttt{0000}},\ p_{\texttt{1111}} \\[0.5em]
    \text{Class } &p_{\texttt{0001}}:\ p_{\texttt{0001}},\ p_{\texttt{1110}} \\[0.5em]
    \text{Class } &p_{\texttt{0010}}:\ p_{\texttt{0010}},\ p_{\texttt{1101}} \\[0.5em]
    \text{Class } &p_{\texttt{0011}}:\ p_{\texttt{0011}},\ p_{\texttt{1100}} \\[0.5em]
    \text{Class } &p_{\texttt{0100}}:\ p_{\texttt{0100}},\ p_{\texttt{1011}} \\[0.5em]
    \text{Class } &p_{\texttt{0101}}:\ p_{\texttt{0101}},\ p_{\texttt{1010}} \\[0.5em]
    \text{Class } &p_{\texttt{0110}}:\ p_{\texttt{0110}},\ p_{\texttt{1001}} \\[0.5em]
    \text{Class } &p_{\texttt{0111}}:\ p_{\texttt{0111}},\ p_{\texttt{1000}}
    \end{align}$
  fourier_parametrization: |-
    $\begin{align}
    q_{\texttt{1111}} &= x^{(1)}_{2}x^{(2)}_{2}x^{(3)}_{2}x^{(4)}_{2}x^{(5)}_{1} \\[0.5em]
    q_{\texttt{0101}} &= x^{(1)}_{1}x^{(2)}_{2}x^{(3)}_{1}x^{(4)}_{2}x^{(5)}_{2} \\[0.5em]
    q_{\texttt{1010}} &= x^{(1)}_{2}x^{(2)}_{1}x^{(3)}_{2}x^{(4)}_{1}x^{(5)}_{2} \\[0.5em]
    q_{\texttt{0000}} &= x^{(1)}_{1}x^{(2)}_{1}x^{(3)}_{1}x^{(4)}_{1}x^{(5)}_{1} \\[0.5em]
    q_{\texttt{1100}} &= x^{(1)}_{2}x^{(2)}_{2}x^{(3)}_{1}x^{(4)}_{1}x^{(5)}_{1} \\[0.5em]
    q_{\texttt{0011}} &= x^{(1)}_{1}x^{(2)}_{1}x^{(3)}_{2}x^{(4)}_{2}x^{(5)}_{1} \\[0.5em]
    q_{\texttt{0110}} &= x^{(1)}_{1}x^{(2)}_{2}x^{(3)}_{2}x^{(4)}_{1}x^{(5)}_{2} \\[0.5em]
    q_{\texttt{1001}} &= x^{(1)}_{2}x^{(2)}_{1}x^{(3)}_{1}x^{(4)}_{2}x^{(5)}_{2}
    \end{align}$
  equivalent_classes_fourier: |-
    $\begin{align}
    \text{Class } &0:\ q_{\texttt{1000}}, q_{\texttt{0100}}, q_{\texttt{0010}}, q_{\texttt{1110}}, q_{\texttt{0001}}, q_{\texttt{1101}}, q_{\texttt{1011}}, q_{\texttt{0111}} \\[0.5em]
    \text{Class } &q_{\texttt{0000}}:\ q_{\texttt{0000}} \\[0.5em]
    \text{Class } &q_{\texttt{0011}}:\ q_{\texttt{0011}} \\[0.5em]
    \text{Class } &q_{\texttt{0101}}:\ q_{\texttt{0101}} \\[0.5em]
    \text{Class } &q_{\texttt{0110}}:\ q_{\texttt{0110}} \\[0.5em]
    \text{Class } &q_{\texttt{1001}}:\ q_{\texttt{1001}} \\[0.5em]
    \text{Class } &q_{\texttt{1010}}:\ q_{\texttt{1010}} \\[0.5em]
    \text{Class } &q_{\texttt{1100}}:\ q_{\texttt{1100}} \\[0.5em]
    \text{Class } &q_{\texttt{1111}}:\ q_{\texttt{1111}}
    \end{align}$
  invariants: |-
    Ideal generated by  $$ \begin{align}
    q_{1111}q_{0000} - q_{1100}q_{0011} \\
    q_{0101}q_{1010} - q_{0110}q_{1001}
    \end{align} $$
  grobner_basis: |-
    Gröbner basis with elements  $$ \begin{align}
    q_{1111}q_{0000} - q_{1100}q_{0011} \\
    q_{0101}q_{1010} - q_{0110}q_{1001}
    \end{align}$$
    with respect to the ordering
    degrevlex $ q_{\texttt{1111}}, q_{\texttt{0101}}, q_{\texttt{1010}}, q_{\texttt{0000}}, q_{\texttt{1100}}, q_{\texttt{0011}}, q_{\texttt{0110}}, q_{\texttt{1001}}$
  specialized_fourier_transform: |-
    $\frac{1}{1} \begin{pmatrix}
    1 & 1 & 1 & 1 & 1 & 1 & 1 & 1\\ 
    1 & -1 & -1 & 1 & 1 & -1 & -1 & 1\\ 
    1 & -1 & 1 & -1 & -1 & 1 & -1 & 1\\ 
    1 & 1 & -1 & -1 & -1 & -1 & 1 & 1\\ 
    1 & -1 & 1 & -1 & 1 & -1 & 1 & -1\\ 
    1 & 1 & -1 & -1 & 1 & 1 & -1 & -1\\ 
    1 & 1 & 1 & 1 & -1 & -1 & -1 & -1\\ 
    1 & -1 & -1 & 1 & -1 & 1 & 1 & -1
    \end{pmatrix} ] $
  inverse_specialized_fourier_transform: |-
    $\frac{1}{8} \begin{pmatrix}
    1 & 1 & 1 & 1 & 1 & 1 & 1 & 1\\ 
    1 & -1 & -1 & 1 & -1 & 1 & 1 & -1\\ 
    1 & -1 & 1 & -1 & 1 & -1 & 1 & -1\\ 
    1 & 1 & -1 & -1 & -1 & -1 & 1 & 1\\ 
    1 & 1 & -1 & -1 & 1 & 1 & -1 & -1\\ 
    1 & -1 & 1 & -1 & -1 & 1 & -1 & 1\\ 
    1 & -1 & -1 & 1 & 1 & -1 & -1 & 1\\ 
    1 & 1 & 1 & 1 & -1 & -1 & -1 & -1
    \end{pmatrix} $
